
#!/bin/bash


if [[ -f "list.txt" ]];then
    rm -f list.txt
fi
#输入你要查找的关键字
#将所有当前目录及子目录下的文件 输入到the_file_list.txt 文件
find ./cathe/ -type f -name "*" >./search/the_file_list.txt
#逐行读取文件 找出包含关键字的文件 将文件名输入到 list.txt
cat ./search/the_file_list.txt|while read li
do
    this_key=`cat "$li"|grep $key`
    if [[ $this_key ]];then

    	li=${li:2}
        echo $li >> ./search/list.txt
    fi
done

